Bug 114028 - LibreOffice Vanilla doesn't include help and displayed help message is incorrect / unhelpful
Summary: LibreOffice Vanilla doesn't include help and displayed help message is incorr...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.3.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MacOS-Vanilla
  Show dependency treegraph
 
Reported: 2017-11-24 16:06 UTC by Alex Thurgood
Modified: 2018-01-26 07:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2017-11-24 16:06:03 UTC
Description:
1) Start LibreOffice Vanilla
2) Click on Help > LibreOffice Help
3) A message is displayed that says : "Vous pouvez soit l'installer depuis notre site web ou votre dépôt logiciel, soit lire la version en ligne."

which translates to "You can either install this from our web site, or your pakcage manager, or read the online version".

This error message is manifestly incorrect for Mac users.

Possible solutions :
- make the help available to download from the AppStore
- correct the message to indicate that only online help is available



Steps to Reproduce:
See above

Actual Results:  
No possibility to download and install LO Vanilla Help bundle

Expected Results:
Either the help package should be made available, or else the message changed to specify that only online help is available


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Tor Lillqvist 2017-12-21 11:26:35 UTC
The 5.4.4 build is configured with --with-help and will thus include the help files.
Comment 2 Alex Thurgood 2018-01-26 07:31:07 UTC
Confirming fixed in 

Version: 5.4.4.5
Build ID: 2524958677847fb3bb44820e40380acbe820f960
Threads CPU : 4; OS : Mac OS X 10.13.3; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group


Thanks !